bitel.billing.server.bill.bean

## Class DataExtractor

- java.lang.Object
- - bitel.billing.server.bill.bean.DataExtractor

-     public class DataExtractor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataExtractor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.math.BigDecimal` | `getAmount(java.sql.Connection con, java.lang.String table, java.lang.String col, java.util.List<java.lang.String> paramList, java.util.Calendar month, java.lang.String cids)`
    `protected java.math.BigDecimal` | `getAmount(java.sql.Connection con, java.lang.String table, java.lang.String col, java.util.List<java.lang.String> paramList, java.util.Calendar month, java.lang.String cids, java.lang.String filter)`
    `protected java.math.BigDecimal` | `getAmount(java.sql.Connection con, java.lang.String table, java.lang.String col, java.util.List<java.lang.String> paramList, java.util.Calendar month, java.lang.String cids, java.lang.String filter, java.lang.String cidFieldName, java.lang.String sidFieldName)`
    `protected long` | `getCountFromTable(java.sql.Connection con, java.lang.String tableName, java.lang.String cids, java.util.Calendar month, java.lang.String filter)`
    `protected long` | `getCountFromTable(java.sql.Connection con, java.lang.String tableName, java.lang.String cids, java.util.Calendar month, java.lang.String filter, java.lang.String cidFieldName, java.lang.String date1Field, java.lang.String date2Field)`
    `protected java.math.BigDecimal` | `getCountSession(java.sql.Connection con, java.lang.String table, java.util.List<java.lang.String> paramList, java.util.Calendar month, java.lang.String cids, java.lang.String filter)`
    `protected java.math.BigDecimal` | `getCountSession(java.sql.Connection con, java.lang.String table, java.util.List<java.lang.String> paramList, java.util.Calendar month, java.lang.String cids, java.lang.String filter, java.lang.String cidFieldName, java.lang.String sidFieldName)`
    `protected java.lang.String` | `getIdsFromEnd(int posFrom, java.util.List<java.lang.String> paramList)`
    `protected int` | `getIntParam(java.util.List<java.lang.String> paramList, int pos)`
    `protected java.util.Calendar` | `getMonthParam(java.util.Calendar month, java.util.List<java.lang.String> paramList, int pos)`
    `protected long` | `getSumFromTable(java.sql.Connection con, java.lang.String tableName, java.lang.String col, java.lang.String cids, java.lang.String sids)`
    `protected long` | `getSumFromTable(java.sql.Connection con, java.lang.String tableName, java.lang.String col, java.lang.String cids, java.lang.String sids, java.lang.String filter)`
    `protected long` | `getSumFromTable(java.sql.Connection con, java.lang.String tableName, java.lang.String col, java.lang.String cids, java.lang.String sids, java.lang.String filter, java.lang.String cidFieldName, java.lang.String sidFieldName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataExtractor

          public DataExtractor()

  - ### Method Detail

    - #### getIntParam

          protected int getIntParam(java.util.List<java.lang.String> paramList,
                                    int pos)

    - #### getMonthParam

          protected java.util.Calendar getMonthParam(java.util.Calendar month,
                                                     java.util.List<java.lang.String> paramList,
                                                     int pos)

    - #### getIdsFromEnd

          protected java.lang.String getIdsFromEnd(int posFrom,
                                                   java.util.List<java.lang.String> paramList)

    - #### getSumFromTable

          protected long getSumFromTable(java.sql.Connection con,
                                         java.lang.String tableName,
                                         java.lang.String col,
                                         java.lang.String cids,
                                         java.lang.String sids)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getSumFromTable

          protected long getSumFromTable(java.sql.Connection con,
                                         java.lang.String tableName,
                                         java.lang.String col,
                                         java.lang.String cids,
                                         java.lang.String sids,
                                         java.lang.String filter)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getSumFromTable

          protected long getSumFromTable(java.sql.Connection con,
                                         java.lang.String tableName,
                                         java.lang.String col,
                                         java.lang.String cids,
                                         java.lang.String sids,
                                         java.lang.String filter,
                                         java.lang.String cidFieldName,
                                         java.lang.String sidFieldName)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getCountFromTable

          protected long getCountFromTable(java.sql.Connection con,
                                           java.lang.String tableName,
                                           java.lang.String cids,
                                           java.util.Calendar month,
                                           java.lang.String filter)
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getCountFromTable

          protected long getCountFromTable(java.sql.Connection con,
                                           java.lang.String tableName,
                                           java.lang.String cids,
                                           java.util.Calendar month,
                                           java.lang.String filter,
                                           java.lang.String cidFieldName,
                                           java.lang.String date1Field,
                                           java.lang.String date2Field)
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getAmount

          protected java.math.BigDecimal getAmount(java.sql.Connection con,
                                                   java.lang.String table,
                                                   java.lang.String col,
                                                   java.util.List<java.lang.String> paramList,
                                                   java.util.Calendar month,
                                                   java.lang.String cids)

    - #### getAmount

          protected java.math.BigDecimal getAmount(java.sql.Connection con,
                                                   java.lang.String table,
                                                   java.lang.String col,
                                                   java.util.List<java.lang.String> paramList,
                                                   java.util.Calendar month,
                                                   java.lang.String cids,
                                                   java.lang.String filter)

    - #### getAmount

          protected java.math.BigDecimal getAmount(java.sql.Connection con,
                                                   java.lang.String table,
                                                   java.lang.String col,
                                                   java.util.List<java.lang.String> paramList,
                                                   java.util.Calendar month,
                                                   java.lang.String cids,
                                                   java.lang.String filter,
                                                   java.lang.String cidFieldName,
                                                   java.lang.String sidFieldName)

    - #### getCountSession

          protected java.math.BigDecimal getCountSession(java.sql.Connection con,
                                                         java.lang.String table,
                                                         java.util.List<java.lang.String> paramList,
                                                         java.util.Calendar month,
                                                         java.lang.String cids,
                                                         java.lang.String filter)

    - #### getCountSession

          protected java.math.BigDecimal getCountSession(java.sql.Connection con,
                                                         java.lang.String table,
                                                         java.util.List<java.lang.String> paramList,
                                                         java.util.Calendar month,
                                                         java.lang.String cids,
                                                         java.lang.String filter,
                                                         java.lang.String cidFieldName,
                                                         java.lang.String sidFieldName)